% bursts simulations
b_=[...
    1e-1, 1e-1;...
    1e-1, 3e-2;...
    1e-1, 2e-2;...
    1e-2, 3e-3;...
    5e-2, 3e-3;...
    1e-3, 2e-2;...
    ];
% converged plateau simulations
cp_=[...
    1e+0, 1e-2;...
    1e+0, 3e-3;...
    1e+0, 2e-3;...
    1e-1, 2e-3;...
    1e-1, 1e-3;...
    ];
% moving plateau
dp_=[...
    1e+0, 2e+0;...
    1e+0, 1e+0;...
    1e-3, 2e-2;...
    1e-3, 1e-2;...
    1e-3, 5e-3;...
    1e-3, 2.5e-3,...
    ];
% resolution issue plateau?
rp_=[...
    5e-2, 1e-3;...
    1e-2, 1e-4;...
    ];
figure; set(gcf, 'Position',  [100, 100, 900, 400])
grid on; xlim([5e-4,5e0]); ylim([5e-5,5e+0]);
set(gca, 'XScale', 'log'); set(gca, 'YScale', 'log');
xlabel('$\nu_{DGGK}$'); ylabel('$\mu_{HD}$'); hold on;
 
scatter( b_(:,1), b_(:,2),'o',...
    'MarkerFaceColor',[0.6350 0.0780 0.1840],'MarkerEdgeColor',[0 0 0],'SizeData',50,...
    'DisplayName','Bursts'); 
scatter(cp_(:,1),cp_(:,2),'s',...
    'MarkerFaceColor',[0.4660 0.6740 0.1880],'MarkerEdgeColor',[0 0 0],'SizeData',50,...
    'DisplayName','Converged Plateau'); 
scatter(dp_(:,1),dp_(:,2),'v',...
    'MarkerFaceColor',[0.4660 0.6740 0.1880],'MarkerEdgeColor',[0 0 0],'SizeData',50,...
    'DisplayName','Moving Plateau'); 
scatter(rp_(:,1),rp_(:,2),'h',...
    'MarkerFaceColor',[0.9290 0.6940 0.1250],'MarkerEdgeColor',[0 0 0],'SizeData',50,...
    'DisplayName','Moving Plateau'); 
plot([1 1],[5e-5 5e-1],'--','Color',[0.4660 0.6740 0.1880]);
